############################################################
#
# type definition pro_declaration_component_autofs
#
# RESPONSIBLE: David Groep <davidg@nikhef.nl>
#
# VERSION : 0.2.1
#
############################################################

declaration template pro_declaration_component_autofs;

include pro_declaration_component_type;

define type autofs_mapentry_type = {
  "options"     ? string
  "location"    : string
};

define type autofs_map_type = {
  "enabled"     ? boolean
  "type"        : string with match(self,"direct|file|program|yp|nisplus|hesiod|userdir|ldap")
  "mapname"     ? string
  "mountpoint"  ? string
  "mpaliases"   ? string[]
  "options"     ? string
  "entries"	? autofs_mapentry_type{}
};

define type component_autofs_type = {
  include component_type
  "maps"	: autofs_map_type{}
};

type "/software/components/autofs" = component_autofs_type;

